## python-clevercsv 0.7.1%2Bds

=== debian/changelog ===
python-clevercsv (0.7.1+ds-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:03:06 +0000

python-clevercsv (0.7.1+ds-2) unstable; urgency=medium

  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 28 Jan 2022 19:06:51 -0500

python-clevercsv (0.7.1+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1003035)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 02 Jan 2022 22:44:35 -0500

## python-clevercsv 0.7.1+ds

=== Makefile ===
# Makefile for easier installation and cleanup.
#
# Uses self-documenting macros from here:
# http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html

SHELL := bash
.SHELLFLAGS := -eu -o pipefail -c
MAKEFLAGS += --no-builtin-rules

PACKAGE=clevercsv
DOC_DIR=./docs/
VENV_DIR=/tmp/clevercsv_venv/

.PHONY: help

.DEFAULT_GOAL := help

help:
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) |\
		 awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-15s\033[0m\
		 %s\n", $$1, $$2}'

################
# Installation #
################

.PHONY: inplace install

inplace:
	python setup.py build_ext -i

install: ## Install for the current user using the default python command
	python setup.py build_ext --inplace && \
		python setup.py install --user

################
# Distribution #
################

.PHONY: release dist

release: ## Make a release
	python make_release.py

dist: ## Make Python source distribution
	python setup.py sdist

###########
# Testing #
###########

.PHONY: test integration integration_partial

test: venv ## Run unit tests
	source $(VENV_DIR)/bin/activate && green -a -vv ./tests/test_unit

integration: venv ## Run integration tests
	source $(VENV_DIR)/bin/activate && python ./tests/test_integration/test_dialect_detection.py -v

integration_partial: venv ## Run partial integration tests
	source $(VENV_DIR)/bin/activate && python ./tests/test_integration/test_dialect_detection.py -v --partial


#################
# Documentation #
#################

.PHONY: docs doc

docs: doc
doc: venv ## Build documentation with Sphinx
	source $(VENV_DIR)/bin/activate && m2r README.md && mv README.rst $(DOC_DIR)
	source $(VENV_DIR)/bin/activate && m2r CHANGELOG.md && mv CHANGELOG.rst $(DOC_DIR)
	cd $(DOC_DIR) && \
		rm source/* && \
		source $(VENV_DIR)/bin/activate && \
		sphinx-apidoc -H 'CleverCSV API Documentation' -o source ../$(PACKAGE) && \
		touch source/AUTOGENERATED
	source $(VENV_DIR)/bin/activate && $(MAKE) -C $(DOC_DIR) html


#######################
# Virtual environment #
#######################

.PHONY: venv clean_venv

venv: $(VENV_DIR)/bin/activate

$(VENV_DIR)/bin/activate:
	test -d $(VENV_DIR) || python -m venv $(VENV_DIR)
	source $(VENV_DIR)/bin/activate && pip install -e .[dev]
	touch $(VENV_DIR)/bin/activate

clean_venv:
	rm -rf $(VENV_DIR)

############
# Clean up #
############

.PHONY: clean

clean: clean_venv ## Clean build dist and egg directories left after install
	rm -rf ./dist
	rm -rf ./build
	rm -rf ./$(PACKAGE).egg-info
	rm -rf ./cover
	rm -f MANIFEST
	rm -f ./$(PACKAGE)/*.so
	rm -f ./*_valgrind.log*
	find . -type f -iname '*.pyc' -delete
	find . -type d -name '__pycache__' -empty -delete

=== debian/control ===
Source: python-clevercsv
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-chardet <!nocheck>,
               python3-regex <!nocheck>,
               python3-pandas <!nocheck>,
               python3-cleo <!nocheck>,
               python3-clikit <!nocheck>,
#               python3-tabview <!nocheck>, optional, would be nice
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-clevercsv
Vcs-Git: https://salsa.debian.org/python-team/packages/python-clevercsv.git
Homepage: https://github.com/alan-turing-institute/CleverCSV
Rules-Requires-Root: no

Package: python3-clevercsv
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-chardet,
         python3-regex,
         python3-pandas,
         python3-cleo,
         python3-clikit,
#         python3-tabview, optional, would be nice
Suggests: python3-clevercsv-doc
Description: Drop-in replacement for the CSV module with improved detection
 CleverCSV provides a drop-in replacement for the Python csv package with
 improved dialect detection for messy CSV files.
 .
 It also provides a handy command line tool that can standardize a messy file
 or generate Python code to import it.
 .
 This package provides the modules for Python 3.

Package: python3-clevercsv-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Drop-in replacement for the CSV module (documentation)
 CleverCSV provides a drop-in replacement for the Python csv package with
 improved dialect detection for messy CSV files.
 .
 It also provides a handy command line tool that can standardize a messy file
 or generate Python code to import it.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_TEST_ARGS= -f -s tests/test_unit

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python3-clevercsv-doc/usr/share/doc/python3-clevercsv-doc/html

=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+ds, dversionmangle=s/\+ds//,repack" \
https://github.com/alan-turing-institute/CleverCSV.git \
refs/tags/v([\d\.]+)

## python-clevercsv 0.7.4+ds

=== Makefile ===
--- 
+++ 
@@ -29,9 +29,8 @@
 inplace:
 	python setup.py build_ext -i
 
-install: ## Install for the current user using the default python command
-	python setup.py build_ext --inplace && \
-		python setup.py install --user
+install: dist ## Install for the current user using the default python command
+	python -m pip install --user ./dist/$(PACKAGE)-*.tar.gz
 
 ################
 # Distribution #
@@ -42,7 +41,7 @@
 release: ## Make a release
 	python make_release.py
 
-dist: ## Make Python source distribution
+dist: man ## Make Python source distribution
 	python setup.py sdist
 
 ###########
@@ -65,12 +64,12 @@
 # Documentation #
 #################
 
-.PHONY: docs doc
+.PHONY: docs doc man
 
 docs: doc
 doc: venv ## Build documentation with Sphinx
-	source $(VENV_DIR)/bin/activate && m2r README.md && mv README.rst $(DOC_DIR)
-	source $(VENV_DIR)/bin/activate && m2r CHANGELOG.md && mv CHANGELOG.rst $(DOC_DIR)
+	source $(VENV_DIR)/bin/activate && m2r2 README.md && mv README.rst $(DOC_DIR)
+	source $(VENV_DIR)/bin/activate && m2r2 CHANGELOG.md && mv CHANGELOG.rst $(DOC_DIR)
 	cd $(DOC_DIR) && \
 		rm source/* && \
 		source $(VENV_DIR)/bin/activate && \
@@ -78,6 +77,9 @@
 		touch source/AUTOGENERATED
 	source $(VENV_DIR)/bin/activate && $(MAKE) -C $(DOC_DIR) html
 
+man: venv ## Build man pages using Wilderness
+	source $(VENV_DIR)/bin/activate && \
+		python setup.py build_manpages
 
 #######################
 # Virtual environment #
@@ -109,5 +111,6 @@
 	rm -f MANIFEST
 	rm -f ./$(PACKAGE)/*.so
 	rm -f ./*_valgrind.log*
+	rm -f ./man/*
 	find . -type f -iname '*.pyc' -delete
 	find . -type d -name '__pycache__' -empty -delete

=== debian/changelog ===
python-clevercsv (0.7.4+ds-2) unstable; urgency=medium

  * d/python3-clevercsv.manpapges: install manpages in only 1 binary package.
    (Closes: #1011421)
  * d/control: Standards-Version update to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 07 Aug 2022 21:16:36 -0400

python-clevercsv (0.7.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/upstream/signing-keys.asc: add upstream's key, as they are now siging
    tags.
  * d/rules: install man pages.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 20 May 2022 16:45:29 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
                python3-chardet <!nocheck>,
                python3-regex <!nocheck>,
                python3-pandas <!nocheck>,
-               python3-cleo <!nocheck>,
-               python3-clikit <!nocheck>,
+               python3-wilderness <!nocheck>,
 #               python3-tabview <!nocheck>, optional, would be nice
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-clevercsv
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-clevercsv.git
 Homepage: https://github.com/alan-turing-institute/CleverCSV
@@ -29,8 +28,7 @@
          python3-chardet,
          python3-regex,
          python3-pandas,
-         python3-cleo,
-         python3-clikit,
+         python3-wilderness,
 #         python3-tabview, optional, would be nice
 Suggests: python3-clevercsv-doc
 Description: Drop-in replacement for the CSV module with improved detection

## python-clevercsv 0.7.5+ds

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 PACKAGE=clevercsv
 DOC_DIR=./docs/
 VENV_DIR=/tmp/clevercsv_venv/
+PYTHON ?= python
 
 .PHONY: help
 
@@ -27,10 +28,10 @@
 .PHONY: inplace install
 
 inplace:
-	python setup.py build_ext -i
+	$(PYTHON) setup.py build_ext -i
 
 install: dist ## Install for the current user using the default python command
-	python -m pip install --user ./dist/$(PACKAGE)-*.tar.gz
+	$(PYTHON) -m pip install --user ./dist/$(PACKAGE)-*.tar.gz
 
 ################
 # Distribution #
@@ -39,10 +40,10 @@
 .PHONY: release dist
 
 release: ## Make a release
-	python make_release.py
+	$(PYTHON) make_release.py
 
 dist: man ## Make Python source distribution
-	python setup.py sdist
+	$(PYTHON) setup.py sdist
 
 ###########
 # Testing #
@@ -90,8 +91,8 @@
 venv: $(VENV_DIR)/bin/activate
 
 $(VENV_DIR)/bin/activate:
-	test -d $(VENV_DIR) || python -m venv $(VENV_DIR)
-	source $(VENV_DIR)/bin/activate && pip install -e .[dev]
+	test -d $(VENV_DIR) || $(PYTHON) -m venv $(VENV_DIR)
+	source $(VENV_DIR)/bin/activate && python -m pip install -e .[dev]
 	touch $(VENV_DIR)/bin/activate
 
 clean_venv:

=== debian/changelog ===
python-clevercsv (0.7.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: refresh 0002.
  * d/patches: drop 0004 and 0005, as they aren't needed anymore.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 15 Jan 2023 16:13:31 -0500

python-clevercsv (0.7.4+ds-4) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS (Closes: #1027548)
  * Switch to autopkgtest-pkg-pybuild
  * Use dh-sequence-*

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jan 2023 20:58:15 +0100

python-clevercsv (0.7.4+ds-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Python 3.11 support. (Closes: #1024049)

  [ Louis-Philippe Véronneau ]
  * d/rules: don't "fail fast" when running tests and run the entire test
    suite.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 21:17:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                python3-all-dev,
                python3-setuptools,
                python3-sphinx <!nodoc>,
@@ -19,6 +20,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-clevercsv.git
 Homepage: https://github.com/alan-turing-institute/CleverCSV
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-clevercsv
 Architecture: any

## python-clevercsv 0.8.0+ds

=== Makefile ===
--- 
+++ 
@@ -51,8 +51,13 @@
 
 .PHONY: test integration integration_partial
 
-test: venv ## Run unit tests
+test: green pytest
+
+green: venv ## Run unit tests
 	source $(VENV_DIR)/bin/activate && green -a -vv ./tests/test_unit
+
+pytest: venv ## Run unit tests with PyTest
+	source $(VENV_DIR)/bin/activate && pytest -ra -m 'not network'
 
 integration: venv ## Run integration tests
 	source $(VENV_DIR)/bin/activate && python ./tests/test_integration/test_dialect_detection.py -v

=== debian/changelog ===
python-clevercsv (0.8.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop 0002, as the upstream issue was fixed.
  * d/patches: update 0001 to fix new privacy breach.
  * d/control: upstream switched from the RTD to the furo Sphix theme.
  * d/control: Standards-Version update to 4.6.2. No changes needed.
  * d/control: build using pybuild-plugin-pyproject.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 13 Jun 2023 15:04:01 -0400

## python-clevercsv 0.8.2+ds

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 PACKAGE=clevercsv
 DOC_DIR=./docs/
-VENV_DIR=/tmp/clevercsv_venv/
+VENV_DIR=/tmp/clevercsv_venv
 PYTHON ?= python
 
 .PHONY: help
@@ -51,13 +51,17 @@
 
 .PHONY: test integration integration_partial
 
-test: green pytest
+test: mypy green pytest
 
 green: venv ## Run unit tests
 	source $(VENV_DIR)/bin/activate && green -a -vv ./tests/test_unit
 
 pytest: venv ## Run unit tests with PyTest
 	source $(VENV_DIR)/bin/activate && pytest -ra -m 'not network'
+
+mypy: venv ## Run type checks
+	source $(VENV_DIR)/bin/activate && \
+		mypy --check-untyped-defs ./stubs $(PACKAGE) ./tests
 
 integration: venv ## Run integration tests
 	source $(VENV_DIR)/bin/activate && python ./tests/test_integration/test_dialect_detection.py -v

=== debian/changelog ===
python-clevercsv (0.8.2+ds-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:27:50 +0000

python-clevercsv (0.8.2+ds-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:25:25 +0100

python-clevercsv (0.8.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: refresh 0003.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 30 Sep 2023 17:48:00 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
                dh-sequence-sphinxdoc,
                python3-all-dev,
                python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
+               furo <!nodoc>,
                python3-chardet <!nocheck>,
                python3-regex <!nocheck>,
                python3-pandas <!nocheck>,
                python3-wilderness <!nocheck>,
 #               python3-tabview <!nocheck>, optional, would be nice
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-clevercsv
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-clevercsv.git
 Homepage: https://github.com/alan-turing-institute/CleverCSV

## python-clevercsv 0.8.3+ds

=== Makefile ===
--- 
+++ 
@@ -124,3 +124,10 @@
 	rm -f ./man/*
 	find . -type f -iname '*.pyc' -delete
 	find . -type d -name '__pycache__' -empty -delete
+
+
+# Testing
+#
+gh130: venv
+	source $(VENV_DIR)/bin/activate && \
+		python -m unittest -k '*github_issue_130' tests/test_unit/test_reader.py

=== debian/changelog ===
python-clevercsv (0.8.3+ds-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:33:28 +0000

python-clevercsv (0.8.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Standards-Version update to 4.7.2. No changes needed.
  * d/patches: add 0006 to fix small manpage issues.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 29 Mar 2025 15:05:40 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pandas <!nocheck>,
                python3-wilderness <!nocheck>,
 #               python3-tabview <!nocheck>, optional, would be nice
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-clevercsv
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-clevercsv.git
 Homepage: https://github.com/alan-turing-institute/CleverCSV

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_TEST_ARGS= -s tests/test_unit

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python3-clevercsv-doc/usr/share/doc/python3-clevercsv-doc/html

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag, repacksuffix=+ds, dversionmangle=s/\+ds//,repack" \
https://github.com/alan-turing-institute/CleverCSV.git \
refs/tags/v([\d\.]+)

## python-clevercsv 0.8.4+ds

=== debian/changelog ===
python-clevercsv (0.8.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Standards-Version update to 4.7.3. Remove RRR and Priority
    fields.
  * d/watch: migrate to v5.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 22 Feb 2026 15:20:35 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
@@ -16,11 +15,10 @@
                python3-pandas <!nocheck>,
                python3-wilderness <!nocheck>,
 #               python3-tabview <!nocheck>, optional, would be nice
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-clevercsv
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-clevercsv.git
 Homepage: https://github.com/alan-turing-institute/CleverCSV
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-clevercsv

=== debian/watch ===
Version: 5

Source: https://github.com/alan-turing-institute/CleverCSV
Mode: git
Matching-Pattern: refs/tags/v([\d\.]+)
Pgp-Mode: gittag
Repack: yes
Repacksuffix: +ds
Dversion-Mangle: auto
